%global pypi_name jsonpath-rw-ext
%global sname jsonpath_rw_ext

Summary:        Extensions for JSONPath RW
Name:           python-%{pypi_name}
Version:        1.2.2
Release:        4%{?dist}
License:        ASL 2.0
URL:            https://github.com/sileht/python-jsonpath-rw-ext
Source0:        https://pypi.python.org/packages/source/j/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

%description
This package extends json-path-rw capabilities by adding multiple extensions.

%package -n     python3-%{pypi_name}
Summary:        Extensions for JSONPath RW

BuildRequires:  python3-devel python3-setuptools
BuildRequires:  python3-pbr python3-sphinx
Requires:       python3-pbr >= 1.8 python3-jsonpath-rw >= 1.2

%description -n python3-%{pypi_name}
This package extends json-path-rw capabilities by adding multiple extensions.

%prep
%autosetup -n %{pypi_name}-%{version}

rm -rf %{pypi_name}.egg-info

%build
%py3_build

sphinx-build doc/source html
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc doc/source/readme.rst README.rst
%doc html 
%{python3_sitelib}/%{sname}
%{python3_sitelib}/*.egg-info

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.2-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.2-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 13 2023 Wang Guodong <gordonwwang@tencent.com> - 1.2.2-1
- initial build
